<h1 mat-dialog-title>Create an institution</h1>
<div mat-dialog-content [formGroup]="formGroup" style="overflow: visible;">

    <mat-form-field style="width: 100%;">
      <mat-label>Title of the institution</mat-label>
      <input matInput formControlName="title">
      <mat-error *ngIf="formGroup.get('title')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <mat-form-field style="width: 100%;">
      <mat-label>Shortcut</mat-label>
      <input matInput formControlName="shortcut">
      <mat-error *ngIf="formGroup.get('shortcut')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <mat-form-field style="width: 100%;">
      <mat-label>Descripion</mat-label>
      <input matInput formControlName="description">
      <mat-error *ngIf="formGroup.get('description')!.value!.length != 0">Max length is {{Global.textAreaFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <mat-form-field style="width: 100%;">
      <mat-label>External Link</mat-label>
      <input matInput formControlName="external_link">
    </mat-form-field>

    <p>Logo</p>
    <app-upload-box
      matInput
      [defaultFile]="formGroup.get('logo')!.value!"
      [allowedTypes]="['png', 'jpeg', 'jpg', 'webp', 'svg']"
      [fileClass]="'logos'"
      [form]="formGroup"
      [controlName]="'logo'"
      (uploadStarted)="blockFormSubmit('logo')"
      (uploadFinished)="unblockFormSubmit('logo')"
      (fileNameReturn)="updateFile(this.formGroup, 'logo', $event.filename)"
      style="height: 250px;"
    />
    <div mat-dialog-actions class="matActions">
        <button mat-button (click)="this.dialogRef.close()">Exit</button>
        <button mat-button (click)="save()" [disabled]="!formGroup.valid" cdkFocusInitial>Create</button>
        <mat-spinner
          #spinner
          [ngStyle]="{'display': spinnerVisible ? 'block' : 'none'}"
          style="width: 40px; margin-left: 20px;"
        ></mat-spinner>
    </div>
</div>
